Creates a new custom hostname for the specified environment.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/custom/hostnames \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "auth.dynamic.xyz",
"usage": "cookies"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"hostname": "auth.dynamic.xyz",
"usage": "cookies",
"status": "active",
"verificationRecords": [
{
"dnsRecordType": "TXT",
"verificationType": "certificate",
"name": "<string>",
"value": "<string>"
}
],
"errors": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Successfully created
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
255^(?!-)[A-Za-z0-9-]+([\-\.]{1}[a-z0-9]+)*\.[A-Za-z]{2,15}$"auth.dynamic.xyz"
cookies, globalWallet active, pending, error List of DNS records required to verify ownership of the custom hostname
Show child attributes
Error message describing why hostname verification or activation failed
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/custom/hostnames \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hostname": "auth.dynamic.xyz",
"usage": "cookies"
}
'{
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"hostname": "auth.dynamic.xyz",
"usage": "cookies",
"status": "active",
"verificationRecords": [
{
"dnsRecordType": "TXT",
"verificationType": "certificate",
"name": "<string>",
"value": "<string>"
}
],
"errors": "<string>"
}